Index: asm_arm.h
===================================================================
RCS file: /usr/local/cvsroot/Tremor/asm_arm.h,v
retrieving revision 1.2
diff -u -d -r1.2 asm_arm.h
--- asm_arm.h	3 Sep 2002 03:15:19 -0000	1.2
+++ asm_arm.h	4 Sep 2002 18:49:41 -0000
@@ -19,7 +19,7 @@
 #ifndef _V_WIDE_MATH
 #define _V_WIDE_MATH
 
-static inline ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
   int lo,hi;
   asm volatile("smull  %0,%1,%2,%3;\n"
                : "=&r"(lo),"=&r"(hi)
@@ -27,15 +27,15 @@
   return(hi);
 }
 
-static inline ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
   return MULT32(x,y)<<1;
 }
 
-static inline ogg_int32_t MULT30(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT30(ogg_int32_t x, ogg_int32_t y) {
   return MULT32(x,y)<<2;
 }
 
-static inline ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
   int lo,hi;
   asm volatile("smull  %0,%1,%2,%3;\n"
 	       "mov    %0,%0, lsr #15;\n"
@@ -45,7 +45,7 @@
   return(hi);
 }
 
-static inline ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
+STIN ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
   asm volatile("subs   r0,%0,#32768;\n"
 	       "movpl  %0,#0x7f00;\n"
 	       "orrpl  %0,%0,#0xff;\n"
@@ -62,7 +62,7 @@
 #ifndef _V_LSP_MATH_ASM
 #define _V_LSP_MATH_ASM
 
-static inline void lsp_loop_asm(ogg_uint32_t *qip,ogg_uint32_t *pip,
+STIN void lsp_loop_asm(ogg_uint32_t *qip,ogg_uint32_t *pip,
 				ogg_int32_t *qexpp,
 				ogg_int32_t *ilsp,ogg_int32_t wi,
 				ogg_int32_t m){
@@ -153,7 +153,7 @@
   *qexpp=qexp;
 }
 
-static inline void lsp_norm_asm(ogg_uint32_t *qip,ogg_int32_t *qexpp){
+STIN void lsp_norm_asm(ogg_uint32_t *qip,ogg_int32_t *qexpp){
 
   ogg_uint32_t qi=*qip;
   ogg_int32_t qexp=*qexpp;
Index: codebook.c
===================================================================
RCS file: /usr/local/cvsroot/Tremor/codebook.c,v
retrieving revision 1.2
diff -u -d -r1.2 codebook.c
--- codebook.c	3 Sep 2002 03:15:19 -0000	1.2
+++ codebook.c	4 Sep 2002 18:49:41 -0000
@@ -148,7 +148,7 @@
   return((x>> 1)&0x55555555) | ((x<< 1)&0xaaaaaaaa);
 }
 
-static inline long decode_packed_entry_number(codebook *book, 
+STIN long decode_packed_entry_number(codebook *book, 
 					      oggpack_buffer *b){
   int  read=book->dec_maxlength;
   long lo,hi;
Index: floor0.c
===================================================================
RCS file: /usr/local/cvsroot/Tremor/floor0.c,v
retrieving revision 1.2
diff -u -d -r1.2 floor0.c
--- floor0.c	3 Sep 2002 03:15:19 -0000	1.2
+++ floor0.c	4 Sep 2002 18:49:42 -0000
@@ -48,7 +48,7 @@
    returns in m.8 format */
 
 static long ADJUST_SQRT2[2]={8192,5792};
-static inline ogg_int32_t vorbis_invsqlook_i(long a,long e){
+STIN ogg_int32_t vorbis_invsqlook_i(long a,long e){
   long i=(a&0x7fff)>>(INVSQ_LOOKUP_I_SHIFT-1); 
   long d=a&INVSQ_LOOKUP_I_MASK;                              /*  0.10 */
   long val=INVSQ_LOOKUP_I[i]-                                /*  1.16 */
@@ -60,7 +60,7 @@
 
 /* interpolated lookup based fromdB function, domain -140dB to 0dB only */
 /* a is in n.12 format */
-static inline ogg_int32_t vorbis_fromdBlook_i(long a){
+STIN ogg_int32_t vorbis_fromdBlook_i(long a){
   int i=(-a)>>(12-FROMdB2_SHIFT);
   if(i<0) return 0x7fffffff;
   if(i>=(FROMdB_LOOKUP_SZ<<FROMdB_SHIFT))return 0;
@@ -70,7 +70,7 @@
 
 /* interpolated lookup based cos function, domain 0 to PI only */
 /* a is in 0.16 format, where 0==0, 2^^16-1==PI, return 0.14 */
-static inline ogg_int32_t vorbis_coslook_i(long a){
+STIN ogg_int32_t vorbis_coslook_i(long a){
   int i=a>>COS_LOOKUP_I_SHIFT;
   int d=a&COS_LOOKUP_I_MASK;
   return COS_LOOKUP_I[i]- ((d*(COS_LOOKUP_I[i]-COS_LOOKUP_I[i+1]))>>
@@ -79,7 +79,7 @@
 
 /* interpolated lookup based cos function */
 /* a is in 0.16 format, where 0==0, 2^^16==PI, return .LSP_FRACBITS */
-static inline ogg_int32_t vorbis_coslook2_i(long a){
+STIN ogg_int32_t vorbis_coslook2_i(long a){
   a=a&0x1ffff;
 
   if(a>0x10000)a=0x20000-a;
@@ -102,7 +102,7 @@
 };
 
 /* used in init only; interpolate the long way */
-static inline ogg_int32_t toBARK(int n){
+STIN ogg_int32_t toBARK(int n){
   int i;
   for(i=0;i<27;i++) 
     if(n>=barklook[i] && n<barklook[i+1])break;
Index: misc.h
===================================================================
RCS file: /usr/local/cvsroot/Tremor/misc.h,v
retrieving revision 1.2
diff -u -d -r1.2 misc.h
--- misc.h	3 Sep 2002 03:15:19 -0000	1.2
+++ misc.h	4 Sep 2002 18:49:42 -0000
@@ -19,6 +19,7 @@
 #define _V_RANDOM_H_
 #include "ivorbiscodec.h"
 #include "os_types.h"
+#include "os.h"
 
 extern void *_vorbis_block_alloc(vorbis_block *vb,long bytes);
 extern void _vorbis_block_ripcord(vorbis_block *vb);
@@ -30,7 +31,22 @@
 #ifndef _V_WIDE_MATH
 #define _V_WIDE_MATH
 
-#include <endian.h>
+#ifndef LITTLE_ENDIAN
+#define LITTLE_ENDIAN 1234
+#endif
+#ifndef BIG_ENDIAN
+#define BIG_ENDIAN 4321
+#endif
+
+#ifndef BYTE_ORDER
+#if (('1234' >> 24) == '1')
+#define BYTE_ORDER LITTLE_ENDIAN
+#elif (('4321' >> 24) == '1')
+#define BYTE_ORDER BIG_ENDIAN
+#else
+#error Unable to determine byte order
+#endif
+#endif
 
 #if BYTE_ORDER==LITTLE_ENDIAN
 union magic {
@@ -52,27 +68,27 @@
 };
 #endif
 
-static inline ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT32(ogg_int32_t x, ogg_int32_t y) {
   union magic magic;
   magic.whole = (ogg_int64_t)x * y;
   return magic.halves.hi;
 }
 
-static inline ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31(ogg_int32_t x, ogg_int32_t y) {
   return MULT32(x,y)<<1;
 }
 
-static inline ogg_int32_t MULT30(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT30(ogg_int32_t x, ogg_int32_t y) {
   return MULT32(x,y)<<2;
 }
 
-static inline ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
+STIN ogg_int32_t MULT31_SHIFT15(ogg_int32_t x, ogg_int32_t y) {
   union magic magic;
   magic.whole  = (ogg_int64_t)x * y;
   return ((ogg_uint32_t)(magic.halves.lo)>>15) | ((magic.halves.hi)<<17);
 }
 
-static inline ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
+STIN ogg_int32_t CLIP_TO_15(ogg_int32_t x) {
   int ret=x;
   ret-= ((x<=32767)-1)&(x-32767);
   ret-= ((x>=-32768)-1)&(x+32768);
@@ -81,7 +97,7 @@
 
 #endif
 
-static inline ogg_int32_t VFLOAT_MULT(ogg_int32_t a,ogg_int32_t ap,
+STIN ogg_int32_t VFLOAT_MULT(ogg_int32_t a,ogg_int32_t ap,
 				      ogg_int32_t b,ogg_int32_t bp,
 				      ogg_int32_t *p){
   if(a && b){
@@ -91,7 +107,7 @@
     return 0;
 }
 
-static inline ogg_int32_t VFLOAT_MULTI(ogg_int32_t a,ogg_int32_t ap,
+STIN ogg_int32_t VFLOAT_MULTI(ogg_int32_t a,ogg_int32_t ap,
 				      ogg_int32_t i,
 				      ogg_int32_t *p){
 
@@ -99,7 +115,7 @@
   return VFLOAT_MULT(a,ap,i<<-ip,ip,p);
 }
 
-static inline ogg_int32_t VFLOAT_ADD(ogg_int32_t a,ogg_int32_t ap,
+STIN ogg_int32_t VFLOAT_ADD(ogg_int32_t a,ogg_int32_t ap,
 				      ogg_int32_t b,ogg_int32_t bp,
 				      ogg_int32_t *p){
 
